Bug 733322 (CVE-2011-4120) - CVE-2011-4120 pam_yubico: Authentication bypass via NULL password
Summary: CVE-2011-4120 pam_yubico: Authentication bypass via NULL password
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2011-4120
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20110826,repor...
Depends On: 751726 751727
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 13:28 UTC by Nanakos Chrysostomos
Modified: 2019-06-10 10:58 UTC (History)
7 users (show)

Fixed In Version: pam_yubico 2.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:58:00 UTC


Attachments (Terms of Use)
Patch that solves this major security bug (1.07 KB, application/octet-stream)
2011-08-25 13:28 UTC, Nanakos Chrysostomos
no flags Details

Description Nanakos Chrysostomos 2011-08-25 13:28:33 UTC
Created attachment 519836 [details]
Patch that solves this major security bug

What steps will reproduce the problem?
1. When pressing Ctrl-D when Yubico PAM Module prompts for password.

What is the expected output? What do you see instead?

It just login without asking password


What version of the product are you using? On what operating system?

Linux OS. From version 2.4 to 2.7 as I can see


Please provide any additional information below.

Patch included that solves the problem.

Comment 1 Nanakos Chrysostomos 2011-08-29 10:46:45 UTC
Released version 2.8 that resolves the issue.

Comment 2 Paul DeStefano 2011-09-15 15:42:10 UTC
This is pretty frightening.  I'm happy to report I cannot reproduce it, however.  Perhaps someone could include more details about PAM config that reproduces it.  If this bug has also be reported upstream, please post a link.

Comment 3 Jan Lieskovsky 2011-11-07 10:57:31 UTC
I am going to steal this bug to be Security Response product.

Comment 4 Jan Lieskovsky 2011-11-07 11:03:48 UTC
A security flaw was found in the way pam_yubico, a pluggable authentication module for yubikeys, performed user authentication, when 'use_first_pass' PAM configuration options was not used and pam_yubico module was configured as 'sufficient' in the PAM configuration.
A remote attacker could use this flaw to circumvent common authentication process and obtain access to the account in question by providing a NULL value (pressing Ctrl-D keyboard sequence) as the password string.

Relevant upstream patch:
[1] https://github.com/Yubico/yubico-pam/commit/4712da70cac159d5ca9579c1e4fac0645b674043

References:
[2] http://groups.google.com/group/yubico-devel/browse_thread/thread/3f179ec0e6845deb

Comment 5 Jan Lieskovsky 2011-11-07 11:08:15 UTC
This issue affects the versions of the pam_yubico package, as shipped with Fedora release of 14 and 15. Please schedule an update.

--

This issue affects the versions of the pam_yubico package, as shipped with Fedora EPEL release 5 and Fedora EPEL release 6. Please schedule an update.

Comment 6 Jan Lieskovsky 2011-11-07 11:11:00 UTC
Created pam_yubico tracking bugs for this issue

Affects: fedora-all [bug 751726]
Affects: epel-all [bug 751727]

Comment 7 Jan Lieskovsky 2011-11-07 11:17:14 UTC
CVE request:
[3] http://www.openwall.com/lists/oss-security/2011/11/07/5

Comment 8 Jan Lieskovsky 2011-11-07 15:57:16 UTC
CVE identifier of CVE-2011-4120 has been assigned to this issue:
[4] http://www.openwall.com/lists/oss-security/2011/11/07/6

Comment 9 Fedora Update System 2011-12-12 21:54:31 UTC
yubikey-val-2.10-1.fc16, pam_yubico-2.8-1.fc16, ykclient-2.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 andreas.lindqvist 2013-05-16 14:37:45 UTC
The yubikey software packages in EPEL5 is still outdated.

pam_yubico-2.4-1.el5.i386.rpm                                             24-Feb-2011 17:53   17K  RPM Package
pam_yubico-2.4-1.el5.x86_64.rpm                                           24-Feb-2011 17:53   17K  RPM Package

ykclient-2.3-1.el5.i386.rpm                                               08-Jul-2009 04:02   20K  RPM Package
ykclient-2.3-1.el5.x86_64.rpm                                             08-Jul-2009 04:02   19K  RPM Package

I request new packages to be built for EPEL5.

Comment 11 Product Security DevOps Team 2019-06-10 10:58:00 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.